Bug 244424 - mail/postfix-policyd-spf-python: Update to 2.9.2 and rename
Summary: mail/postfix-policyd-spf-python: Update to 2.9.2 and rename
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-02-26 07:16 UTC by Yasuhiro KIMURA
Modified: 2020-05-31 21:06 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
Patch file (12.93 KB, patch)
2020-02-26 07:16 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff
Updated patch file (13.01 KB, patch)
2020-02-26 20:34 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff
Updated patch file (12.93 KB, patch)
2020-04-30 12:40 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff
Updated patch file (13.08 KB, patch)
2020-05-14 02:23 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff
Updated patch file (13.12 KB, patch)
2020-05-30 14:36 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff
Updated patch file (13.20 KB, patch)
2020-05-30 21:24 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2020-02-26 07:16:45 UTC
Created attachment 211945 [details]
Patch file

* Update to 2.9.2.
* Rename this port to mail/spf-engine because the project is superseded by its successor.
    
To apply attached patch, please take following steps.

1. cd /usr/ports
2. svn move mail/postfix-policyd-spf-python mail/spf-engine
3. svn patch /path/to/attached/patch
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-26 08:56:31 UTC
Thank you for the report and patch.

Please rename to py-spf-engine [1] per python naming policy [2].

Question: Should the rc script name and variables be renamed to match the port too?

[1] https://pypi.org/project/spf-engine/
[2] https://wiki.freebsd.org/Python/PortsPolicy#Naming
Comment 2 Yasuhiro KIMURA 2020-02-26 20:34:59 UTC
Created attachment 211961 [details]
Updated patch file

(In reply to Kubilay Kocak from comment #1)

Updated.
Comment 3 Yasuhiro KIMURA 2020-04-30 12:40:18 UTC
Created attachment 213945 [details]
Updated patch file

Update patch to make it fit to latest ports tree.
Comment 4 Yasuhiro KIMURA 2020-05-14 02:23:00 UTC
Created attachment 214475 [details]
Updated patch file

Update patch to make it fit to latest ports tree.
Comment 5 Yasuhiro KIMURA 2020-05-30 14:36:32 UTC
Created attachment 215058 [details]
Updated patch file

Update patch to make it fit to latest ports tree.
Comment 6 Danilo G. Baio freebsd_committer 2020-05-30 15:47:04 UTC
This change will directly affect all users.

My suggestion:

- Add mail/py-spf-engine as a new port (repocopy).
- Deprecate mail/postfix-policyd-spf-python and set an expiry date (3 months?)
  bump PORTREVISION
  Configure conflicts if necessary

This way users will be warned and they will change their configs and packages when they have time for it.
Comment 7 Yasuhiro KIMURA 2020-05-30 21:24:52 UTC
Created attachment 215074 [details]
Updated patch file

(In reply to Danilo G. Baio from comment #6)

Thank you for feedback. I updated patch according to your recommendation.
To apply attached patch, please take following steps.
    
1. cd /usr/ports
2. svn copy mail/postfix-policyd-spf-python mail/py-spf-engine
3. svn patch /path/to/attached/patch
Comment 8 commit-hook freebsd_committer 2020-05-31 13:50:24 UTC
A commit references this bug:

Author: dbaio
Date: Sun May 31 13:49:31 UTC 2020
New revision: 537162
URL: https://svnweb.freebsd.org/changeset/ports/537162

Log:
  Add mail/py-spf-engine, Deprecate mail/postfix-policyd-spf-python

  Give time to users to change their env

  The new port is the successor, it supports milter feature and its
  config file is in another path.

  PR:		244424
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org> (maintainer)

Changes:
  head/GIDs
  head/UIDs
  head/UPDATING
  head/mail/Makefile
  head/mail/postfix-policyd-spf-python/Makefile
  head/mail/py-spf-engine/
  head/mail/py-spf-engine/Makefile
  head/mail/py-spf-engine/distinfo
  head/mail/py-spf-engine/files/patch-setup.py
  head/mail/py-spf-engine/files/patch-spf__engine_milter__spf.py
  head/mail/py-spf-engine/files/pkg-message.in
  head/mail/py-spf-engine/files/pyspf-milter.in
  head/mail/py-spf-engine/pkg-descr
Comment 9 Danilo G. Baio freebsd_committer 2020-05-31 21:06:24 UTC
Committed, thanks!